epp_HostAddressType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.host.epp_HostAddressType class

### org.openrtk.idl.epp0402.host

# Class epp_HostAddressType

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.host.epp_HostAddressType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostAddressType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of IP address types for host. Used in conjunction with the epp_HostAddress class to indicate the type of the host IP address: IPV4, IPV6. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/host/epp_HostAddressType.java,v 1.1 2003/03/21 16:35:42 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:35:42 $

See Also:
  `epp_HostAddress`

  ## Field Summary
  `static epp_HostAddressType` | `IPV4` Instance of epp_HostAddressType representing the IPV4 address type.
  `static epp_HostAddressType` | `IPV6` Instance of epp_HostAddressType representing the IPV6 address type.
  `static int` | `_IPV4` Integer value representing the IPV4 address type.
  `static int` | `_IPV6` Integer value representing the IPV6 address type.

  ## Constructor Summary
  `epp_HostAddressType(int value)` For internal use only.

  ## Method Summary
  `static epp_HostAddressType` | `from_int(int value)` Transform an integer into a epp_HostAddressType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the type of address.

## Field Details

### IPV4

    public static final epp_HostAddressType IPV4

> Instance of epp_HostAddressType representing the IPV4 address type. Used directly with epp_HostAddress.
> See Also:
>   `epp_HostAddress`

### IPV6

    public static final epp_HostAddressType IPV6

> Instance of epp_HostAddressType representing the IPV6 address type. Used directly with epp_HostAddress.
> See Also:
>   `epp_HostAddress`

### _IPV4

    public static final int _IPV4

> Integer value representing the IPV4 address type.
> Field Value:
>   0
> See Also:
>   `IPV4`

### _IPV6

    public static final int _IPV6

> Integer value representing the IPV6 address type.
> Field Value:
>   1
> See Also:
>   `IPV6`

## Constructor Details

### epp_HostAddressType

    protected epp_HostAddressType(int value)

> For internal use only. Initializes the internal address type array.
> Parameters:
>   `value` - The integer value for the desired address type

## Method Details

### from_int

    public static epp_HostAddressType from_int(int value)

> Transform an integer into a epp_HostAddressType constant. Given the integer representation of the address type, returns one of the address type constants.
> Parameters:
>   `value` - The integer value for the desired address type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the type of address.
> Returns:
>   The integer value of this host address type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS